using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Practices
{
    /// <summary>
    /// 练习结果
    /// </summary>
    [Description("练习结果")]
    public class ExamPracticeResult:ExamBusinessEntity
    {
        /// <summary>
        /// 练习试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="练习试题Id")]
        [Description("练习试题Id")]
        public string PracticeQuestionId { get; set; }

        /// <summary>
        /// 练习记录Id
        /// </summary>
        [SugarColumn(ColumnDescription = "练习记录Id")]
        [Description("练习记录Id")]
        public string PracticeRecordId { get; set; }

        /// <summary>
        /// 是否正确
        /// </summary>
        [SugarColumn(ColumnDescription ="是否正确")]
        [Description("是否正确")]
        public bool IsCorrect { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamPracticeResultItem.PracticeResultId))]
        public List<ExamPracticeResultItem> PracticeResultItems { get; set; }
    }
}
